import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeStackResourceDriftsInput, DescribeStackResourceDriftsOutput } from "../models/models_0";
import { deserializeAws_queryDescribeStackResourceDriftsCommand, serializeAws_queryDescribeStackResourceDriftsCommand, } from "../protocols/Aws_query";
var DescribeStackResourceDriftsCommand = (function (_super) {
    __extends(DescribeStackResourceDriftsCommand, _super);
    function DescribeStackResourceDriftsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeStackResourceDriftsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CloudFormationClient";
        var commandName = "DescribeStackResourceDriftsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeStackResourceDriftsInput.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeStackResourceDriftsOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeStackResourceDriftsCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryDescribeStackResourceDriftsCommand(input, context);
    };
    DescribeStackResourceDriftsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryDescribeStackResourceDriftsCommand(output, context);
    };
    return DescribeStackResourceDriftsCommand;
}($Command));
export { DescribeStackResourceDriftsCommand };
