import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListStackSetOperationResultsInput, ListStackSetOperationResultsOutput } from "../models/models_0";
import { deserializeAws_queryListStackSetOperationResultsCommand, serializeAws_queryListStackSetOperationResultsCommand, } from "../protocols/Aws_query";
var ListStackSetOperationResultsCommand = (function (_super) {
    __extends(ListStackSetOperationResultsCommand, _super);
    function ListStackSetOperationResultsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListStackSetOperationResultsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CloudFormationClient";
        var commandName = "ListStackSetOperationResultsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListStackSetOperationResultsInput.filterSensitiveLog,
            outputFilterSensitiveLog: ListStackSetOperationResultsOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListStackSetOperationResultsCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryListStackSetOperationResultsCommand(input, context);
    };
    ListStackSetOperationResultsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryListStackSetOperationResultsCommand(output, context);
    };
    return ListStackSetOperationResultsCommand;
}($Command));
export { ListStackSetOperationResultsCommand };
