import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { SetStackPolicyInput } from "../models/models_0";
import { deserializeAws_querySetStackPolicyCommand, serializeAws_querySetStackPolicyCommand, } from "../protocols/Aws_query";
var SetStackPolicyCommand = (function (_super) {
    __extends(SetStackPolicyCommand, _super);
    function SetStackPolicyCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    SetStackPolicyCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CloudFormationClient";
        var commandName = "SetStackPolicyCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: SetStackPolicyInput.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    SetStackPolicyCommand.prototype.serialize = function (input, context) {
        return serializeAws_querySetStackPolicyCommand(input, context);
    };
    SetStackPolicyCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_querySetStackPolicyCommand(output, context);
    };
    return SetStackPolicyCommand;
}($Command));
export { SetStackPolicyCommand };
